LINUX.ORG.RU

Ошибка в установке Google Chrome

 ,


0

1

Приветствую! Обнаружил что установленный ранее Хром не хочет обновляться, какая-то непонятность с зависимостями…

yum install google-chrome

Загружены модули: langpacks Разрешение зависимостей –> Проверка сценария —> Пакет google-chrome-beta.x86_64 0:84.0.4147.30-1 помечен для установки –> Обработка зависимостей: libvulkan.so.1()(64bit) пакета: google-chrome-beta-84.0.4147.30-1.x86_64 –> Проверка зависимостей окончена Ошибка: Пакет: google-chrome-beta-84.0.4147.30-1.x86_64 (google-chrome) Необходимо: libvulkan.so.1()(64bit) Вы можете попробовать –skip-broken чтобы обойти проблему Вы можете попробовать запустить: rpm -Va –nofiles –nodigest

Что это за libvulkan? Найти такой пакет не удалось… Как обойти?

Благодарю.

Твоя ошибка - в самой попытке установки google chrome. Тебе ещё повезло, что твой комп вообще жив остался, после того как он слил все твои данные на сервера гугла.

На лоре это не нужно.

Можешь зарепортить им буг типа «google chrome - зло, и ему нет места в нашем прекарсном дистре». Если дистр адекватный, то налицие хрома пофиксят.

anonymous ()

Твою ОС выкинул Гугл на свалку истории

fornlr ★★★★★ ()
Ответ на: комментарий от svp-mgdn

Открою страшную тайну… Сhromium поддерживает не только расширения от Сhrome, но и даже вход через Google-аккаунт со всеми вытекающими плюшками типа синхронизации. Зато зависимости в нем будут разрулены нормально, если росу, конечно, не идиоты пилят.

qtm ★★★ ()
Ответ на: комментарий от qtm

Хромиум падает. Не то чтобы часто, но случается. Хром тоже, но только совсем редко. В Хромиуме нет изкоробочного пдф и насколько я помню были проблемы с аудио/видео.

anonymous ()
Ответ на: комментарий от anonymous

Два года на Арче с Хромиумом просидел. До этого еще год на Дебиане. Ни разу не падал. Вообще беспроблемный браузер.

qtm ★★★ ()
Ответ на: комментарий от qtm

Бред какой-то… Поставил Хромиум, подхватились расширения, в т.ч. и Эверхелпер. В последний заходил совсем недавно, еще до удаления Хрома и сделал бекап дилов (страниц быстрого запуска). Сейчас, в Хромиуме - не могу, постоянно пишет ошибку авторизации…

Блин, может есть какие-то костыли как установить именно Хром?

anonymous ()

Что это за libvulkan? Найти такой пакет не удалось… Как обойти?

Когда пакета в репах нет, то первым делом надо поискать дополнительные репы, где он может быть, может какие-то добровольцы собирают для твоего дистрибутива.
Если не помогло, то выясни из каких других дистров можно накатить пакет на твой, чтобы ничего не сломать.
Если не помогло, то надо собрать самому. Лучше использовать mock, если он есть в твоём дистрибутиве, если нет, то классическим rpmbuild.
Чтобы понять в каком пакете находится эта либа надо пойти на rpmfind.net и туда скопировать название библиотеки, и из представленных выбрать федоровский постарше(у тебя ведь говно мамонта, верно?).
В результате этих манипуляций выяснилось, что тебе нужен пакет vulkan-loader-бла-бла.rpm.src, вот из него и надо собирать для себя.
https://rpmfind.net/linux/RPM/fedora/30/x86_64/v/vulkan-loader-1.1.97.0-0.fc30.i686.html
Если у тебя окаменелое говно мамонта, то иди pkgs.org, впрочем, и туда и сюда ты сразу попадаешь из гугла по названию либы, там качай этот самый вулкан-rpm.src для centos или другого музейного экспоната.

papin-aziat ★★★★★ ()
Ответ на: комментарий от anonymous

может есть какие-то костыли как установить именно Хром?

Нужны не костыли, а вполне штатная процедура: удовлетворение зависимостей, без этого только сборка из исходников, но в случае с хромым это дело практически нереализуемое, если у тебя не мегамощный комп.

papin-aziat ★★★★★ ()
Ответ на: комментарий от papin-aziat

У него просто устаревшее говно, а веб не терпит, ибо сам говно.

anonymous ()
Ограничение на отправку комментариев: только для зарегистрированных пользователей